-- POLICY 保单业务数据

POLICY
POLICY_PLCCAR05
POLICY_PLCAPPLICANT
POLICY_PLCPUBLICINSURANT
POLICY_PLCSOLUTION
POLICY_PLCSOLUTION_PLCRATION
POLICY_PLCSOLUTION_PLCCOINS
POLICY_PLCSOLUTION_PLCCOINS_PLCCOINSBASICINFORMATION
POLICY_PLCSOLUTION_PLCCOMMISSIONDETAIL


-- 来源：
(
    sigAndStaExchangeRate       String ,                         -- 费率
    policyCreatDate             String ,
	endorseNo                   String ,                         -- 1 批单号
	policyNo                    String ,                         -- 2 保单号
	businessNo                  String ,                         -- 3 业务号
	uwConclueDate               String ,                         -- 4 核保通过时间
	businessOffice              String ,                         -- 5 保单归属机构代码
	businessOfficeName          String ,                         -- 6 保单归属机构名称
    productCode                 String ,                         -- 7 险种代码
    businessNatureCode          String ,                         -- 8 业务来源
    startTime                   String ,                         -- 9 起保时间
    endTime                     String ,                         -- 10 终保时间
    netPremium                  String ,                         -- 11 不含税保费
    premium                     String ,                         -- 12 含税保费
    plcCar05  row(
         licensePlateNo              String ,                         -- 13 车牌号
    	 frameNo                     String ,                         -- 14 车架号
    	 vehiclecode                 String ,                         -- 15 行业车型代码
         carBrandCode                String ,                         -- 16 厂牌型号
         newCarFlag                  String ,                         -- 17 新车标识 1:新车，0：旧车
		 carKindCode                 String ,                         -- 29 车辆种类代码
		 carKindName                 String ,                         -- 30 车辆种类名称
		 carUserNatureCode           String ,                         -- 31 车辆使用性质代码
		 carUserNature               String                           -- 32 车辆使用性质名称
    ),                                                                  
    plcApplicant  array<row(
            customerName                 String                            -- 18 投保人名称
	)>,
    plcPublicInsurant  array<row(
            customerName                 String                            -- 19 被保人名称
	)>,
    newPolicyFlag               String ,                         -- 20 新保标识 1:是，0：否
	autoTransrenewFlag          String ,                         -- 21 自动续保标识 1:是，4：跨险种自动续保，0：否
	transferPolicyFlag          String ,                         -- 22 转保标识1:是，0：否
	transrenewFlag              String ,                         -- 23 续保标识 1:是，4：跨险种续保，0：否
    plcSolution   array<row(
         PlcRation  row(
             artifSelfPricesRat           String                          -- 24 自主定价系数
         ),
		 plcCoins    row(                                --String类型 该对象部分参数在某些数据中可能不存在 自定义函数 JsonValuUDF读取
		     plcCoinsBasicInformation array<row(
		         coinsRate                                 -- 非车险共保比例
                 coinsIdentity                             -- 共保我方标记 = 1 时共保我方
		     )>
		 ),
		 plcCommissionDetail  array<row(
		      agentFee                    String ,                        -- 36 份额含税手续费
		 	  agentNetFee                 String                          -- 37 份额不含税手续费

		 )>
    )>,
	saleaman                    String ,                         -- 25 代理机构代码
	saleamanName                String ,                         -- 26 代理机构名称
	businessChannelCode         String ,                         -- 27 业务渠道
	businessChannelName         String ,                         -- 28 业务渠道名
	recordClerkCode             String ,					     -- 34 归属业务员ID
    recordClerkName             String ,                         -- 35 归属业务员名称
    staCurAmount                String ,                         -- 38 保险金额
	staCurTaxFee                String                           -- 39 税
		
)