-- ZB_DM_JRQDBF_HB ZB_DM_今日签单合并



-- step1：
-- 团队汇总
CREATE TEMPORARY VIEW ZB_DM.ZB_DM_MYSQL.TDHZ AS
SELECT
       s1.`uwConclueDate`                                                               as `uwConclueDate`
     , s1.`LEVEL1COMCODE`                                                               as `LEVEL1COMCODE`
     , s1.`LEVEL2COMCODE`                                                               as `LEVEL2COMCODE`
     , s1.`LEVEL3COMCODE`                                                               as `LEVEL3COMCODE`
     , s1.`LEVEL4COMCODE`                                                               as `LEVEL4COMCODE`
     , s1.`startTime`                                                                   as `startTime`
     , s1.`risk`                                                                        as `risk`
     , s1.`chnl`                                                                        as `chnl`
     , s1.`businessNatureCode`                                                          as `businessNatureCode`
     , sum(cast(s1.`cost` as DECIMAL(18, 2)))                                           as `cost`
     , DATE_FORMAT(tumble_end(s1.row_time, interval '1' minute) ,'yyyy-MM-dd HH:mm:ss') as `log_time`
from (
         select
             *
              ,ROW_NUMBER() OVER(PARTITION BY `no`,`COMCODE`,`cost` ORDER BY `uwConclueDate` DESC) as rownum
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA
         where
             `COMNAME` is not null
           and `uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
     ) s1
where s1.rownum = 1
group by
    s1.`uwConclueDate`
    , s1.`LEVEL1COMCODE`
    , s1.`LEVEL2COMCODE`
    , s1.`LEVEL3COMCODE`
    , s1.`LEVEL4COMCODE`
    , s1.`startTime`
    , s1.`risk`
    , s1.`chnl`
    , s1.`businessNatureCode`
    , tumble(s1.row_time, interval '1' hour)

;


